Subject: Re: [PATCH 1/8] t/helper: add 'test-tool bitmap write' subcommand

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Apr 2026 14:34:17 -0700

Taylor Blau <[email-masked]> writes:

> That's right, and to the point of your original question, I think a
> better name is warranted here, perhaps: "test-tool bitmap write limits
> bitmap selection" or something.

Perhaps.  Or "limits" -> "forces"?  Neither verb exactly conveys
that the outcome must be exactly the same as the input specifies,
nothing added, nothing removed, so I dunno.

> To the question of what it's testing, it's testing only its basic
> functionality of altering the selection of which commits receive
> bitmaps. In that sense I view it as a smoke test of that basic
> functionality more than anything else.

OK.

Thanks.